#include "__whilerow.h"
#include "Exception.h"
#include "__mysql.h"
#include <iostream>

namespace jet {

   __whilerow::__whilerow(coreutils::ZString &in, coreutils::MString &parentOut, Global &global, Tag *parent, Tag *local) : Tag(in, parentOut, global, parent, local) {
      
      int count = keywords["count"].asInteger(); 
      
      while  ((count != 0) && global.getSession(keywords["sessionid"])->hasRow()) {	
	 processContainer(container);
	 container.reset();
	 global.getSession(keywords["sessionid"])->nextRow();
	 --count;
      }
      
   }
   
}
